package com.bipt.intelligentapplicationorchestrationservice.gpu.model.dto;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import lombok.*;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Setter
@Getter
public class GpuUpdateDTO {
    @NotNull(message = "GPU ID cannot be null")
    private Long GPUId;

    @Pattern(regexp = "^([A-Z][A-Z0-9-]+)-\\w+",
            message = "型号格式应为 [厂商（大写字母开头）]-[型号]，如 Intel-Xe_GPU")
    private String GPUModel;

    private Integer GPUMemorySize;

    @Pattern(regexp = "^\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}$",
            message = "IP地址格式无效")
    private String Ip;
}
