package com.bipt.intelligentapplicationorchestrationservice.gpu.model.entity;

import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.CreationTimestamp;
import jakarta.validation.constraints.Pattern;

import java.util.Date;

@Setter
@Getter
@Entity
@Table(name = "Gpu_Resource")
public class GpuResource {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long GPUId;

    @Column(nullable = false, length = 64)
    private String GPUModel;

    @Column(nullable = false)
    private Integer GPUMemorySize;

    @Column(nullable = false, length = 15)
    @Pattern(regexp = "^((25[0-5]|2[0-4]\\d|[01]?\\d\\d?)\\.){3}(25[0-5]|2[0-4]\\d|[01]?\\d\\d?)$")
    private String Ip;

    @Column(updatable = false)
    @CreationTimestamp
    private Date CreateTime;

    public GpuResource(Long Id, String Model, Integer MemorySize, String ip, Date create_time) {
        this.GPUId = Id;
        this.GPUModel = Model;
        this.GPUMemorySize = MemorySize;
        this.Ip = ip;
        this.CreateTime = create_time;
    }

}
