package com.bipt.intelligentapplicationorchestrationservice.gpu.mq.producer;

import com.bipt.intelligentapplicationorchestrationservice.gpu.event.CacheUpdateEvent;
import org.springframework.amqp.core.MessageDeliveryMode;
import org.springframework.amqp.core.MessagePostProcessor;
import org.springframework.amqp.core.MessageProperties;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.UUID;

@Component
public class CacheUpdateProducer {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    public void sendCacheUpdateMessage(String eventType, Long gpuId) {

        CacheUpdateEvent event = new CacheUpdateEvent(this, eventType, gpuId);

        MessagePostProcessor processor = message -> {
            MessageProperties props = message.getMessageProperties();
            props.setMessageId(UUID.randomUUID().toString());
            props.setDeliveryMode(MessageDeliveryMode.PERSISTENT);
            props.setExpiration("60000"); // 60秒TTL
            return message;
        };
        rabbitTemplate.convertAndSend("GPU_CACHE_QUEUE", event, processor);
    }
}
