package com.bipt.intelligentapplicationorchestrationservice.gpu.service.impl;

import com.bipt.intelligentapplicationorchestrationservice.gpu.dao.GpuResourceDao;
import com.bipt.intelligentapplicationorchestrationservice.gpu.mapper.GpuMapper;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.dto.GpuCreateDTO;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.entity.GpuResource;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.vo.ResponseVO;
import com.bipt.intelligentapplicationorchestrationservice.gpu.mq.producer.CacheUpdateProducer;
import com.bipt.intelligentapplicationorchestrationservice.gpu.service.GpuManageService;
import com.bipt.intelligentapplicationorchestrationservice.gpu.utils.ValidatorUtil;
import jakarta.transaction.Transactional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GpuManageServiceImpl implements GpuManageService {
    @Autowired
    private GpuResourceDao gpuDao;

    @Autowired
    private CacheUpdateProducer mqProducer;
    @Autowired
    private GpuMapper gpuMapper;

    @Transactional
    public ResponseVO createGpuResource(GpuCreateDTO dto) {
        GpuResource entity = gpuMapper.toEntity(dto);
        gpuDao.insert(entity);
        return ResponseVO.success(entity);
    }
}
