package com.bipt.intelligentapplicationorchestrationservice.gpu.utils;

import com.bipt.intelligentapplicationorchestrationservice.gpu.exception.PermissionDeniedException;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.enums.ErrorCodeEnum;
import org.springframework.dao.PermissionDeniedDataAccessException;
import org.springframework.stereotype.Component;

@Component
public class PermissionCheckUtil {
    public boolean hasGpuManagePermission(String userId) {
        // 这里可以根据用户ID查询数据库或其他方式来判断用户是否有GPU管理权限
        // 这里只是一个示例，实际应用中需要根据具体情况进行实现
        if("admin".equals(userId)){
            return true;
        }
        else {
            throw new PermissionDeniedException(ErrorCodeEnum.PERMISSION_DENIED, "用户" + userId + "无GPU管理权限");
        }
    }
}
