package com.bipt.intelligentapplicationorchestrationservice.gpu.utils;



import org.apache.commons.lang3.StringUtils;

import java.security.InvalidParameterException;
import java.util.regex.Pattern;

public final class ValidatorUtil {
    private static final Pattern IP_PATTERN = Pattern.compile("^((25[0-5]|2[0-4]\\d|[01]?\\d\\d?)\\.){3}(25[0-5]|2[0-4]\\d|[01]?\\d\\d?)$");
    private static final Pattern MODEL_PATTERN = Pattern.compile("^([A-Z][A-Z0-9-]+)-\\w+");

    private ValidatorUtil(){}

    public static void validateGpuModel(String model){
        if(StringUtils.isBlank(model)||!MODEL_PATTERN.matcher(model).matches()){
            throw new InvalidParameterException("GPU型号格式应为[厂商]-[型号]，如NVIDIA-A100");
        }
    }

    public static void validateIp(String ip){
        if(StringUtils.isBlank(ip)||!IP_PATTERN.matcher(ip).matches()){
            throw new InvalidParameterException();
        }
    }
}
